{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}
unit AboutDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,
  System.Diagnostics, System.ComponentModel, Borland.Vcl.StdCtrls,
  Borland.Vcl.ExtCtrls, Borland.Vcl.Buttons;

type
  TFAbout = class(TForm)
    lProduct: TLabel;
    lDesc: TLabel;
    lCompany: TLabel;
    lCopyright: TLabel;
    lVersion: TLabel;
    lbInfos: TListBox;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
  private
  public
    fAssName: String;
    procedure SetAssName(const Value: String);
    { Dclarations prives }
  public
    { Dclarations publiques }
    Property AssemblyName : String read fAssName write SetAssName;
  end;

Procedure ShowAbout(AssName:String='');
{ TFAbout }



implementation

{$R *.nfm}

procedure TFAbout.SetAssName(const Value: String);
var i:FileVersionInfo;
begin
  fAssName := Value;
  i:=System.Diagnostics.FileVersionInfo.GetVersionInfo(Value);
  lProduct.caption := i.ProductName;
  lDesc.caption := i.Comments;
  lCompany.Caption := i.CompanyName;
  lCopyright.Caption := i.LegalCopyright;
  lbInfos.Items.Text := i.ToString;
  lVersion.Caption := 'V '+ i.FileVersion;
end;

Procedure ShowAbout(AssName:String='');
begin
 With TFabout.Create(application) do
  try
   if AssName.Trim ='' then AssemblyName := Application.Exename else
                            AssemblyName := AssName;
   Showmodal;
  finally
   Release;
  end;
end;

end.
